<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- required parameters
          - actorKeyword: keyword of the actor played by the SUT
          - diagramImg: path to the sequence diagram
          - currentConfig: SUT configuration
          - simuApplication: sending application used by the simulator
          - simuFacility:  sending facility used by the simulator
          - sectionsToReRender: sections of the main page to reRender when the user change the SUT configuration
          - availableSuts-->

    <s:div styleClass="row" id="messageConfigurationDiv">
        <div class="col-md-4">
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.HL7Common.Simulator']}</ui:define>
                <dl class="dl-horizontal">
                    <s:decorate id="manualNameDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.HL7Common.Name']}</ui:define>
                        <h:outputText value="#{simulatorConfigurationName}"/>
                    </s:decorate>
                    <s:decorate id="manualRecAppDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.HL7Common.sendingApplication']}</ui:define>
                        <h:outputText value="#{simuApplication}"/>
                    </s:decorate>
                    <s:decorate id="manualRecFacDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.HL7Common.sendingFacility']}</ui:define>
                        <h:outputText value="#{simuFacility}"/>
                    </s:decorate>
                </dl>
            </ui:decorate>
        </div>
        <div class="col-md-4">
            <h:graphicImage library="img" name="#{diagramImg}"/>
        </div>
        <div class="col-md-4">
            <s:decorate template="/layout/panels/_panel_title.xhtml"
                        rendered="#{currentConfig != null}">
                <ui:define name="panel_title">#{messages['gazelle.HL7Common.SystemUnderTest']}</ui:define>
                <dl class="dl-horizontal">
                    <s:decorate id="manualNameDecoration2" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.HL7Common.Name']}</ui:define>
                        <h:outputText value="#{currentConfig.name}"/>
                    </s:decorate>
                    <s:decorate id="manualEndopointDecoration2" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.hl7.URL']}</ui:define>
                        <h:outputText value="#{currentConfig.endpoint}"/>
                    </s:decorate>
                </dl>
            </s:decorate>
        </div>
    </s:div>
    <div class="form-horizontal">
        <s:decorate id="configSelectionDecorate" template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.HL7Common.SutConfiguration']}</ui:define>
            <ui:param name="id" value="configSelectionBox"/>
            <h:selectOneMenu id="configSelectionBox" value="#{currentConfig}" styleClass="form-control gzl-select-text">
                <s:selectItems value="#{availableSuts}" var="conf"
                               noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}" label="#{conf.name}"/>
                <a4j:ajax event="change"
                          execute="@this"
                          render="messageConfigurationDiv"/>
            </h:selectOneMenu>
        </s:decorate>
    </div>
</ui:composition>